Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2631 - /usr/lib/perl5/site_perl no longer in @INC
Summary: /usr/lib/perl5/site_perl no longer in @INC
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-07 11:29 UTC by nils
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 01:51:53 UTC


Attachments (Terms of Use)

Description nils 1999-05-07 11:29:43 UTC
the perl package as shipped with RH6.0 no longer contains
/usr/lib/perl5/site_perl but /usr/lib/perl5/site_perl/5.005
as an include directory (@INC) which breaks many packages
which ship perl modules, e.g. gimp-1.1.5, the CPAN perl
modules (as of PowerTools 5.2) and so on.

/usr/lib/perl5/site_perl should always be in @INC otherwise
"foreign" packages (as the aforementioned ones) have to be
rebuilt with every new (major) perl version and have to be
clever enough to distinguish between perl versions that
search .../site_perl and versions that search
.../site_perl/{ver}

Comment 1 David Lawrence 1999-05-07 19:08:59 UTC
I have verified this to be true in 6.0 final.

Comment 2 joe 1999-05-23 09:17:59 UTC
Please, don't use such additional paths in @INC.

Perl has a clearly defined system for searching extensions,
patching it will sooner or later become a maintenance nightmare.
Better advise people to use the SRPMS.

------- Additional Comments From   05/23/99 09:12 -------
Then can someone of the perl wizards please explain why
/usr/lib/perl5/site_perl has been kicked out of @INC? Requiring each
and every perl package to be rebuilt after a minor (I consider
5.004 -> 5.005 as minor, you may not) perl upgrade (go ahead:
packages must "automagically" detect where to install the .pm's and
you have the mess of dynamically built file lists, ...) is to be
avoided. I'd rather have the nightmare of tweaking perl to look into
/usr/lib/perl5/site_perl again, thanks.

Comment 3 Cristian Gafton 1999-07-29 01:51:59 UTC
The change from 5.004 to 5.005 is anything but minor. It is binary
incompatible, as a matter of fact. I am not changing perl's default
@INC path because I can not fully understand all the things that will
break in the future if we do such a move now.


Note You need to log in before you can comment on or make changes to this bug.